WordPress at a glance
function is not described

is_lighttpd_before_150() WP 2.5.0

Is the server running earlier than 1.5.0 version of lighttpd?

No Hooks.

Return

true/false. Whether the server is running lighttpd < 1.5.0.

Usage

is_lighttpd_before_150();

Code of is lighttpd before 150: wp-includes/functions.php VER 5.1.1

<?php
function is_lighttpd_before_150() {
	$server_parts    = explode( '/', isset( $_SERVER['SERVER_SOFTWARE'] ) ? $_SERVER['SERVER_SOFTWARE'] : '' );
	$server_parts[1] = isset( $server_parts[1] ) ? $server_parts[1] : '';
	return  'lighttpd' == $server_parts[0] && -1 == version_compare( $server_parts[1], '1.5.0' );
}